<?php
session_start();
require '../../conex/conexao.php';

// Verifique se o usuário não está logado
if (!isset($_SESSION['user_id'])) {
    // Redirecione-o para a página de login
    header("Location: login.php");
}

if (isset($_POST['caca'])) {
    $item = $_POST['item']; // item a treinar.. atk/ def
     



$personagem = $_SESSION['personagem'];
$treinando = "caçando";
$minutos = 1.5;
// Multiplica por 60 para transformar em segundos
$segundos = $minutos * 60; // Vai dar 90

// Soma os segundos ao tempo atual (time())
$paralisado = date('Y-m-d H:i:s', time() + $segundos);
$carne = $_SESSION['carne'];
$soldados = $_SESSION['soldados'];

if ($carne >= $soldados) {
$_SESSION['msg'] = "Você não pode caçar, por não ter mais soldados, pra carregar mais carnes. Cada homem pode carregar 1 peça de carne.";
header("Location: ../../dashboardmed.php");
    exit; 
}

 $novo_local = $alvo['nome'];
    $fome = $_SESSION['fome'];
    $sede = $_SESSION['sede'];
    
    
    if ($fome <= 30) {
$_SESSION['msg'] = "Seus homens não podem caçar com tanta fome, compre alimentos nas cidades, ou alimente-os de outras formas, urgente.";
header("Location: ../../dashboardmed.php");
    exit; 
}
if ($sede <= 30) {
$_SESSION['msg'] = "Seus homens não podem caçar com tanta sede, leve-os para beber água urgente.";
header("Location: ../../dashboardmed.php");
    exit; 
}
    
    
   $fome = max(0, $fome - 15); 
$sede = max(0, $sede - 15);




        // Atualize a coluna 'local' na tabela 'personagens' para o novo valor
    $sql = "UPDATE personagens SET situacao = :treinando, paralisado = :paralisado, fome = :fome, sede = :sede  WHERE id = :personagem";
    $stmt = $pdo->prepare($sql);
    
$stmt->bindParam(':treinando', $treinando, PDO::PARAM_STR);
    $stmt->bindParam(':paralisado', $paralisado, PDO::PARAM_STR);
    $stmt->bindParam(':personagem', $personagem, PDO::PARAM_STR);
 $stmt->bindParam(':fome', $fome, PDO::PARAM_STR);
 $stmt->bindParam(':sede', $sede, PDO::PARAM_STR);

    if ($stmt->execute()) {
    $_SESSION['msg'] = "Você e seus soldados, iniciaram a caçada.";
    header("Location: ../../dashboardmed.php");
    exit; // Certifique-se de usar exit para interromper o script após o redirecionamento
} else {
    echo "Erro ao entrar em serviço.";
}

}

?>